Subject: [bug#35790] [PATCH] scripts: lint: Handle warnings with a record type.

From: Christopher Baines <[email-masked]>
Date: Tue, 02 Jul 2019 21:15:16 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Christopher Baines <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Hi Chris,
>>>
>>> Christopher Baines <[email-masked]> skribis:
>>>
>>>> Thanks, so if I set the bindtextdomain, things do indeed work
>>>> better. So, regarding these two patches, I've got the following things
>>>> on my mind...
>>>>
>>>>  - As they change so many things, I'm not sure what to add for the GNU
>>>>    changelog at the end of the commit message?
>>>
>>> I think you should try to write the commit log the usual way, by
>>> listing every changed entity.  It’s a bit tedious, but it’s also a good
>>> way to review everything (and Magit makes it relatively easy.)
>>
>> Ok, I've now made an initial attempt at this, and sent some updated
>> patches.
>
> Perfect, thanks for taking the time to do it.

Great :)

> Time to push!  :-)

Well... I'm happy to push these patches to master, but I've got some
more related changes in mind. It might be good to merge these all
together, to avoid churning up the codebase more than necessary.

I've sent another couple of patches, the first to move most of the
functionality from (guix scripts lint) to a new (guix lint) module.

The second patch then splits the checkers in to two groups, based on
whether they attempt to access the network.

This is still moving towards being able to easily lint all the packages
and store this information in the Guix Data Serivce.